%define anolis_release 2
%global srcname modelscope

Name:           python-%{srcname}
Version:        1.12.0
Release:        %{anolis_release}%{?dist}
Summary:        Official Python SDK of modelscope.
License:        MIT
URL:            https://github.com/modelscope/modelscope
Source0:        https://github.com/modelscope/modelscope/archive/refs/tags/v%{version}.tar.gz#/modelscope-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: python3dist(addict)
BuildRequires: python3dist(attrs)
BuildRequires: python3dist(datasets) >= 2.8.0
BuildRequires: python3dist(einops)
BuildRequires: python3dist(filelock) >= 3.3.0
BuildRequires: python3dist(gast) >= 0.2.2
BuildRequires: python3dist(numpy)
BuildRequires: python3dist(oss2)
BuildRequires: python3dist(pandas)
BuildRequires: python3dist(pillow) >= 6.2.0
BuildRequires: python3dist(pyarrow) >= 6.0.0
BuildRequires: python3dist(python-dateutil) >= 2.1
BuildRequires: python3dist(pyyaml)
BuildRequires: python3dist(requests) >= 2.25
BuildRequires: python3dist(scipy)
BuildRequires: python3dist(setuptools)
BuildRequires: python3dist(simplejson) >= 3.3.0
BuildRequires: python3dist(sortedcontainers) >= 1.5.9
BuildRequires: python3dist(tqdm) >= 4.64.0
BuildRequires: python3dist(urllib3) >= 1.26
BuildRequires: python3dist(yapf)

%description 
ModelScope is built upon the notion of “Model-as-a-Service” (MaaS).
It seeks to bring together most advanced machine learning models from
the AI community, and streamlines the process of leveraging AI models
in real-world applications. The core ModelScope library open-sourced in
this repository provides the interfaces and implementations that allow
developers to perform model inference, training and evaluation.

%package -n python3-%{srcname}
Summary: Official Python SDK of modelscope.

Requires: ffmpeg lapack
Requires: ninja-build cmake gcc gcc-c++ libnccl
Requires: pytorch-devel pytorch
Requires: python3dist(addict)
Requires: python3dist(accelerate)
Requires: python3dist(astropy)
Requires: python3dist(attrs)
Requires: python3dist(av)
Requires: python3-datasets >= 2.16.1-2
Requires: python3dist(decorator)
Requires: python3dist(deepspeed)
Requires: python3dist(easyrobust)
Requires: python3dist(einops)
Requires: python3dist(embeddings)
Requires: python3dist(fasttext)
Requires: python3dist(fairseq)
Requires: python3dist(filelock) >= 3.3.0
Requires: python3dist(ftfy)
Requires: python3dist(gast) >= 0.2.2
Requires: python3dist(imageio)
Requires: python3dist(imageio-ffmpeg)
Requires: python3dist(imgaug)
Requires: python3dist(jieba)
Requires: python3dist(kornia)
Requires: python3dist(librosa)
Requires: python3dist(lmdb)
Requires: python3dist(lpips)
Requires: python3dist(mmcv-full)
Requires: python3dist(moviepy)
Requires: python3dist(networkx)
Requires: python3dist(nltk)
Requires: python3dist(numpy)
Requires: python3dist(nvdiffrast)
Requires: python3dist(opencv)
Requires: python3dist(oss2)
Requires: python3dist(pandas)
Requires: python3dist(panopticapi)
Requires: python3dist(pillow) >= 6.2.0
Requires: python3dist(plyfile)
Requires: python3dist(psutil)
Requires: python3dist(pyarrow) >= 6.0.0
Requires: python3dist(python-dateutil) >= 2.1
Requires: python3dist(pyvi)
Requires: python3dist(pyyaml)
Requires: python3dist(pyclipper)
Requires: python3dist(requests) >= 2.25
Requires: python3dist(rouge)
Requires: python3dist(scipy)
Requires: python3dist(scikit-image)
Requires: python3dist(seaborn)
Requires: python3dist(setuptools)
Requires: python3dist(sentencepiece)
Requires: python3dist(simplejson) >= 3.3.0
Requires: python3dist(shapely)
Requires: python3dist(smplx)
Requires: python3dist(sortedcontainers) >= 1.5.9
Requires: python3dist(stanza)
Requires: python3dist(timm)
Requires: python3dist(torch)
Requires: python3dist(torchmetrics)
Requires: python3dist(torchaudio)
Requires: python3dist(torchvision)
Requires: python3dist(transformers)
Requires: python3dist(tqdm) >= 4.64.0
Requires: python3dist(urllib3) >= 1.26
Requires: python3dist(xformers)
Requires: python3dist(yapf)
Requires: python3dist(yacs)

%description -n python3-%{srcname}
ModelScope is built upon the notion of “Model-as-a-Service” (MaaS).
It seeks to bring together most advanced machine learning models from
the AI community, and streamlines the process of leveraging AI models
in real-world applications. The core ModelScope library open-sourced in
this repository provides the interfaces and implementations that allow
developers to perform model inference, training and evaluation.

%generate_buildrequires
%pyproject_buildrequires

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%{_bindir}/modelscope

%changelog
* Mon Mar 4 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 1.12.0-2
- Update requirements

* Mon Feb 26 2024 Zhongling He <zhonglingh@linux.alibaba.com> - 1.12.0-1
- Upgrade to 1.12.0

* Tue Dec 26 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 1.10.0-1
- Upgrade to 1.10.0

* Mon Sep 11 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 1.8.4-1
- Initial package.
